org.eclipse.viatra.cep.vepl.jvmmodel

## Class VeplJvmModelInferrer

- java.lang.Object
- - org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer
  - - org.eclipse.viatra.cep.vepl.jvmmodel.VeplJvmModelInferrer

- All Implemented Interfaces:
    org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer

      public class VeplJvmModelInferrer
      extends org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

  Infers a JVM model from the source model.

  The JVM model should contain all elements that would appear in the Java code which is generated from the source model. Other models link against the JVM model rather than the source model.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer

      `org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer.NullImpl`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

      `_annotationTypesBuilder, _typeReferenceBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VeplJvmModelInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_infer(EventModel element, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, boolean isPreIndexingPhase)` The dispatch method `infer` is called for each instance of the given element's type that is contained in a resource.
    `void` | `infer(org.eclipse.emf.ecore.EObject element, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, boolean isPreIndexingPhase)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

      `_infer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VeplJvmModelInferrer

          public VeplJvmModelInferrer()

  - ### Method Detail

    - #### _infer

          protected void _infer(EventModel element,
                                org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                                boolean isPreIndexingPhase)

      The dispatch method `infer` is called for each instance of the given element's type that is contained in a resource.
      Parameters:
        `element` - the model to create one or more `declared types` from.
        `acceptor` - each created `type` without a container should be passed to the acceptor in order get attached to the current resource. The acceptor's `accept(..)` method takes the constructed empty type for the pre-indexing phase. This one is further initialized in the indexing phase using the closure you pass to the returned `initializeLater(..)`.
        `isPreIndexingPhase` - whether the method is called in a pre-indexing phase, i.e. when the global index is not yet fully updated. You must not rely on linking using the index if isPreIndexingPhase is `true`.

    - #### infer

          public void infer(org.eclipse.emf.ecore.EObject element,
                            org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                            boolean isPreIndexingPhase)

      Specified by:
        `infer` in interface `org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer`
      Overrides:
        `infer` in class `org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer`